Commits

RafRaf committed c0d2220

Added support for Django 1.5

Comments (0)

Files changed (3)

 
 Requirements
 
-Django 1.3 or 1.4
+Django 1.3, 1.4 or 1.5
 JQuery (There are some problems with animation in older versions.) 
 
 Installation
 
 TEMPLATE_CONTEXT_PROCESSORS = (
     # Uncomment for Django 1.3
-	#'django.core.context_processors.auth',
-	# Uncomment for Django 1.4
-	#'django.contrib.auth.context_processors.auth',
-    'django.core.context_processors.i18n',
+    #'django.core.context_processors.auth',
+    # Uncomment for Django 1.4 or 1.5
+    #'django.contrib.auth.context_processors.auth',
+   	'django.core.context_processors.i18n',
     'django.core.context_processors.request',
     'django.core.context_processors.static',
     'django.middleware.csrf.CsrfViewMiddleware',

poll/templates/_polls_script.js

+{% load url from future %}
 {% load i18n %}
 
 $(document).ready(function() {
-	var vote_url = '{% url poll_ajax_vote poll.pk %}';
-	var result_url = '{% url poll_ajax_result poll.pk %}';
+	var vote_url = '{% url "poll_ajax_vote" poll.pk %}';
+	var result_url = '{% url "poll_ajax_result" poll.pk %}';
 	var poll_pk = '{{ poll.pk }}';
 	var poll_type = '{{ poll_type }}';
 	var can_vote = ('{{ can_vote }}' === 'True')? true : false;
 from distutils.core import setup
 
 setup(name='django-poll-system',
-      version='0.2.2',
+      version='0.2.3',
       description='The application to organize polling (or voting) on your site.',
       author='RafRaf',
       maintainer='RafRaf',